import request from '@/utils/request'

// 查询基本配置列表
export function listConfig(data) {
  return request({
    url: '/tBaseConfig/list',
    method: 'post',
    data: data
  })
}

// 查询基本配置详细
export function getConfig(id) {
  return request({
    url: '/tBaseConfig/' + id,
    method: 'get'
  })
}

// 新增基本配置
export function addConfig(data) {
  return request({
    url: '/tBaseConfig',
    method: 'post',
    data: data
  })
}

// 修改基本配置
export function updateConfig(data) {
  return request({
    url: '/tBaseConfig',
    method: 'put',
    data: data
  })
}

// 删除基本配置
export function delConfig(id) {
  return request({
    url: '/tBaseConfig/' + id,
    method: 'delete'
  })
}

// 导出基本配置
export function exportConfig(query) {
  return request({
    url: '/tBaseConfig/export',
    method: 'get',
    params: query
  })
}
